# assemblyname::get-name

Gets the simple, unencrypted name of the assembly.

### Usage

`string assemblyname::get-name(assemblyName)`

### Parameters

Name | Type | Description
--- | --- | ---
assemblyName | AssemblyName | The AssemblyName of the assembly.

### Return Value

The simple, unencrypted name of the assembly.

### Examples

- Output the simple name of the `nunit.framework` assembly to the build log.

      <echo message="${assemblyname::get-name(assemblyname::get-assembly-name('nunit.framework.dll'))}" />

### Requirements

Assembly: NAnt.Core (0.90.3780.0)

### See Also

assembly::get-name()